Makefile.in 26 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818
  1. # Makefile.in generated by automake 1.14.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  14. am__make_running_with_option = \
  15. case $${target_option-} in \
  16. ?) ;; \
  17. *) echo "am__make_running_with_option: internal error: invalid" \
  18. "target option '$${target_option-}' specified" >&2; \
  19. exit 1;; \
  20. esac; \
  21. has_opt=no; \
  22. sane_makeflags=$$MAKEFLAGS; \
  23. if $(am__is_gnu_make); then \
  24. sane_makeflags=$$MFLAGS; \
  25. else \
  26. case $$MAKEFLAGS in \
  27. *\\[\ \ ]*) \
  28. bs=\\; \
  29. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  30. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  31. esac; \
  32. fi; \
  33. skip_next=no; \
  34. strip_trailopt () \
  35. { \
  36. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  37. }; \
  38. for flg in $$sane_makeflags; do \
  39. test $$skip_next = yes && { skip_next=no; continue; }; \
  40. case $$flg in \
  41. *=*|--*) continue;; \
  42. -*I) strip_trailopt 'I'; skip_next=yes;; \
  43. -*I?*) strip_trailopt 'I';; \
  44. -*O) strip_trailopt 'O'; skip_next=yes;; \
  45. -*O?*) strip_trailopt 'O';; \
  46. -*l) strip_trailopt 'l'; skip_next=yes;; \
  47. -*l?*) strip_trailopt 'l';; \
  48. -[dEDm]) skip_next=yes;; \
  49. -[JT]) skip_next=yes;; \
  50. esac; \
  51. case $$flg in \
  52. *$$target_option*) has_opt=yes; break;; \
  53. esac; \
  54. done; \
  55. test $$has_opt = yes
  56. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  57. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  58. pkgdatadir = $(datadir)/@PACKAGE@
  59. pkgincludedir = $(includedir)/@PACKAGE@
  60. pkglibdir = $(libdir)/@PACKAGE@
  61. pkglibexecdir = $(libexecdir)/@PACKAGE@
  62. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  63. install_sh_DATA = $(install_sh) -c -m 644
  64. install_sh_PROGRAM = $(install_sh) -c
  65. install_sh_SCRIPT = $(install_sh) -c
  66. INSTALL_HEADER = $(INSTALL_DATA)
  67. transform = $(program_transform_name)
  68. NORMAL_INSTALL = :
  69. PRE_INSTALL = :
  70. POST_INSTALL = :
  71. NORMAL_UNINSTALL = :
  72. PRE_UNINSTALL = :
  73. POST_UNINSTALL = :
  74. subdir = .
  75. DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
  76. $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  77. $(top_srcdir)/configure $(am__configure_deps) \
  78. $(top_srcdir)/src/include/config.h.in $(dist_doc_DATA) COPYING \
  79. compile depcomp install-sh missing
  80. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  81. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  82. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  83. $(ACLOCAL_M4)
  84. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  85. configure.lineno config.status.lineno
  86. mkinstalldirs = $(install_sh) -d
  87. CONFIG_HEADER = $(top_builddir)/src/include/config.h
  88. CONFIG_CLEAN_FILES =
  89. CONFIG_CLEAN_VPATH_FILES =
  90. AM_V_P = $(am__v_P_@AM_V@)
  91. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  92. am__v_P_0 = false
  93. am__v_P_1 = :
  94. AM_V_GEN = $(am__v_GEN_@AM_V@)
  95. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  96. am__v_GEN_0 = @echo " GEN " $@;
  97. am__v_GEN_1 =
  98. AM_V_at = $(am__v_at_@AM_V@)
  99. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  100. am__v_at_0 = @
  101. am__v_at_1 =
  102. SOURCES =
  103. DIST_SOURCES =
  104. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  105. ctags-recursive dvi-recursive html-recursive info-recursive \
  106. install-data-recursive install-dvi-recursive \
  107. install-exec-recursive install-html-recursive \
  108. install-info-recursive install-pdf-recursive \
  109. install-ps-recursive install-recursive installcheck-recursive \
  110. installdirs-recursive pdf-recursive ps-recursive \
  111. tags-recursive uninstall-recursive
  112. am__can_run_installinfo = \
  113. case $$AM_UPDATE_INFO_DIR in \
  114. n|no|NO) false;; \
  115. *) (install-info --version) >/dev/null 2>&1;; \
  116. esac
  117. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  118. am__vpath_adj = case $$p in \
  119. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  120. *) f=$$p;; \
  121. esac;
  122. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  123. am__install_max = 40
  124. am__nobase_strip_setup = \
  125. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  126. am__nobase_strip = \
  127. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  128. am__nobase_list = $(am__nobase_strip_setup); \
  129. for p in $$list; do echo "$$p $$p"; done | \
  130. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  131. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  132. if (++n[$$2] == $(am__install_max)) \
  133. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  134. END { for (dir in files) print dir, files[dir] }'
  135. am__base_list = \
  136. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  137. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  138. am__uninstall_files_from_dir = { \
  139. test -z "$$files" \
  140. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  141. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  142. $(am__cd) "$$dir" && rm -f $$files; }; \
  143. }
  144. am__installdirs = "$(DESTDIR)$(docdir)"
  145. DATA = $(dist_doc_DATA)
  146. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  147. distclean-recursive maintainer-clean-recursive
  148. am__recursive_targets = \
  149. $(RECURSIVE_TARGETS) \
  150. $(RECURSIVE_CLEAN_TARGETS) \
  151. $(am__extra_recursive_targets)
  152. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  153. cscope distdir dist dist-all distcheck
  154. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  155. # Read a list of newline-separated strings from the standard input,
  156. # and print each of them once, without duplicates. Input order is
  157. # *not* preserved.
  158. am__uniquify_input = $(AWK) '\
  159. BEGIN { nonempty = 0; } \
  160. { items[$$0] = 1; nonempty = 1; } \
  161. END { if (nonempty) { for (i in items) print i; }; } \
  162. '
  163. # Make sure the list of sources is unique. This is necessary because,
  164. # e.g., the same source file might be shared among _SOURCES variables
  165. # for different programs/libraries.
  166. am__define_uniq_tagged_files = \
  167. list='$(am__tagged_files)'; \
  168. unique=`for i in $$list; do \
  169. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  170. done | $(am__uniquify_input)`
  171. ETAGS = etags
  172. CTAGS = ctags
  173. CSCOPE = cscope
  174. DIST_SUBDIRS = $(SUBDIRS)
  175. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  176. distdir = $(PACKAGE)-$(VERSION)
  177. top_distdir = $(distdir)
  178. am__remove_distdir = \
  179. if test -d "$(distdir)"; then \
  180. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  181. && rm -rf "$(distdir)" \
  182. || { sleep 5 && rm -rf "$(distdir)"; }; \
  183. else :; fi
  184. am__post_remove_distdir = $(am__remove_distdir)
  185. am__relativize = \
  186. dir0=`pwd`; \
  187. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  188. sed_rest='s,^[^/]*/*,,'; \
  189. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  190. sed_butlast='s,/*[^/]*$$,,'; \
  191. while test -n "$$dir1"; do \
  192. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  193. if test "$$first" != "."; then \
  194. if test "$$first" = ".."; then \
  195. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  196. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  197. else \
  198. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  199. if test "$$first2" = "$$first"; then \
  200. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  201. else \
  202. dir2="../$$dir2"; \
  203. fi; \
  204. dir0="$$dir0"/"$$first"; \
  205. fi; \
  206. fi; \
  207. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  208. done; \
  209. reldir="$$dir2"
  210. DIST_ARCHIVES = $(distdir).tar.gz
  211. GZIP_ENV = --best
  212. DIST_TARGETS = dist-gzip
  213. distuninstallcheck_listfiles = find . -type f -print
  214. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  215. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  216. distcleancheck_listfiles = find . -type f -print
  217. ACLOCAL = @ACLOCAL@
  218. AMTAR = @AMTAR@
  219. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  220. AUTOCONF = @AUTOCONF@
  221. AUTOHEADER = @AUTOHEADER@
  222. AUTOMAKE = @AUTOMAKE@
  223. AWK = @AWK@
  224. CC = @CC@
  225. CCDEPMODE = @CCDEPMODE@
  226. CFLAGS = @CFLAGS@
  227. CPP = @CPP@
  228. CPPFLAGS = @CPPFLAGS@
  229. CYGPATH_W = @CYGPATH_W@
  230. DEFS = @DEFS@
  231. DEPDIR = @DEPDIR@
  232. ECHO_C = @ECHO_C@
  233. ECHO_N = @ECHO_N@
  234. ECHO_T = @ECHO_T@
  235. EGREP = @EGREP@
  236. EXEEXT = @EXEEXT@
  237. GREP = @GREP@
  238. INSTALL = @INSTALL@
  239. INSTALL_DATA = @INSTALL_DATA@
  240. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  241. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  242. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  243. LDFLAGS = @LDFLAGS@
  244. LIBOBJS = @LIBOBJS@
  245. LIBS = @LIBS@
  246. LTLIBOBJS = @LTLIBOBJS@
  247. MAKEINFO = @MAKEINFO@
  248. MKDIR_P = @MKDIR_P@
  249. OBJEXT = @OBJEXT@
  250. PACKAGE = @PACKAGE@
  251. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  252. PACKAGE_NAME = @PACKAGE_NAME@
  253. PACKAGE_STRING = @PACKAGE_STRING@
  254. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  255. PACKAGE_URL = @PACKAGE_URL@
  256. PACKAGE_VERSION = @PACKAGE_VERSION@
  257. PATH_SEPARATOR = @PATH_SEPARATOR@
  258. RANLIB = @RANLIB@
  259. SET_MAKE = @SET_MAKE@
  260. SHELL = @SHELL@
  261. STRIP = @STRIP@
  262. VERSION = @VERSION@
  263. abs_builddir = @abs_builddir@
  264. abs_srcdir = @abs_srcdir@
  265. abs_top_builddir = @abs_top_builddir@
  266. abs_top_srcdir = @abs_top_srcdir@
  267. ac_ct_CC = @ac_ct_CC@
  268. am__include = @am__include@
  269. am__leading_dot = @am__leading_dot@
  270. am__quote = @am__quote@
  271. am__tar = @am__tar@
  272. am__untar = @am__untar@
  273. bindir = @bindir@
  274. build_alias = @build_alias@
  275. builddir = @builddir@
  276. datadir = @datadir@
  277. datarootdir = @datarootdir@
  278. docdir = @docdir@
  279. dvidir = @dvidir@
  280. exec_prefix = @exec_prefix@
  281. host_alias = @host_alias@
  282. htmldir = @htmldir@
  283. includedir = @includedir@
  284. infodir = @infodir@
  285. install_sh = @install_sh@
  286. libdir = @libdir@
  287. libexecdir = @libexecdir@
  288. localedir = @localedir@
  289. localstatedir = @localstatedir@
  290. mandir = @mandir@
  291. mkdir_p = @mkdir_p@
  292. oldincludedir = @oldincludedir@
  293. pdfdir = @pdfdir@
  294. prefix = @prefix@
  295. program_transform_name = @program_transform_name@
  296. psdir = @psdir@
  297. sbindir = @sbindir@
  298. sharedstatedir = @sharedstatedir@
  299. srcdir = @srcdir@
  300. sysconfdir = @sysconfdir@
  301. target_alias = @target_alias@
  302. top_build_prefix = @top_build_prefix@
  303. top_builddir = @top_builddir@
  304. top_srcdir = @top_srcdir@
  305. #AUTOMAKE_OPTIONS = foereign
  306. SUBDIRS = src/ book/
  307. AUTOMAKE_ARGS = --add-missing
  308. dist_doc_DATA = README
  309. all: all-recursive
  310. .SUFFIXES:
  311. am--refresh: Makefile
  312. @:
  313. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  314. @for dep in $?; do \
  315. case '$(am__configure_deps)' in \
  316. *$$dep*) \
  317. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  318. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  319. && exit 0; \
  320. exit 1;; \
  321. esac; \
  322. done; \
  323. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  324. $(am__cd) $(top_srcdir) && \
  325. $(AUTOMAKE) --gnu Makefile
  326. .PRECIOUS: Makefile
  327. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  328. @case '$?' in \
  329. *config.status*) \
  330. echo ' $(SHELL) ./config.status'; \
  331. $(SHELL) ./config.status;; \
  332. *) \
  333. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  334. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  335. esac;
  336. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  337. $(SHELL) ./config.status --recheck
  338. $(top_srcdir)/configure: $(am__configure_deps)
  339. $(am__cd) $(srcdir) && $(AUTOCONF)
  340. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  341. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  342. $(am__aclocal_m4_deps):
  343. src/include/config.h: src/include/stamp-h1
  344. @test -f $@ || rm -f src/include/stamp-h1
  345. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) src/include/stamp-h1
  346. src/include/stamp-h1: $(top_srcdir)/src/include/config.h.in $(top_builddir)/config.status
  347. @rm -f src/include/stamp-h1
  348. cd $(top_builddir) && $(SHELL) ./config.status src/include/config.h
  349. $(top_srcdir)/src/include/config.h.in: $(am__configure_deps)
  350. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  351. rm -f src/include/stamp-h1
  352. touch $@
  353. distclean-hdr:
  354. -rm -f src/include/config.h src/include/stamp-h1
  355. install-dist_docDATA: $(dist_doc_DATA)
  356. @$(NORMAL_INSTALL)
  357. @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
  358. if test -n "$$list"; then \
  359. echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
  360. $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
  361. fi; \
  362. for p in $$list; do \
  363. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  364. echo "$$d$$p"; \
  365. done | $(am__base_list) | \
  366. while read files; do \
  367. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
  368. $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
  369. done
  370. uninstall-dist_docDATA:
  371. @$(NORMAL_UNINSTALL)
  372. @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
  373. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  374. dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
  375. # This directory's subdirectories are mostly independent; you can cd
  376. # into them and run 'make' without going through this Makefile.
  377. # To change the values of 'make' variables: instead of editing Makefiles,
  378. # (1) if the variable is set in 'config.status', edit 'config.status'
  379. # (which will cause the Makefiles to be regenerated when you run 'make');
  380. # (2) otherwise, pass the desired values on the 'make' command line.
  381. $(am__recursive_targets):
  382. @fail=; \
  383. if $(am__make_keepgoing); then \
  384. failcom='fail=yes'; \
  385. else \
  386. failcom='exit 1'; \
  387. fi; \
  388. dot_seen=no; \
  389. target=`echo $@ | sed s/-recursive//`; \
  390. case "$@" in \
  391. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  392. *) list='$(SUBDIRS)' ;; \
  393. esac; \
  394. for subdir in $$list; do \
  395. echo "Making $$target in $$subdir"; \
  396. if test "$$subdir" = "."; then \
  397. dot_seen=yes; \
  398. local_target="$$target-am"; \
  399. else \
  400. local_target="$$target"; \
  401. fi; \
  402. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  403. || eval $$failcom; \
  404. done; \
  405. if test "$$dot_seen" = "no"; then \
  406. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  407. fi; test -z "$$fail"
  408. ID: $(am__tagged_files)
  409. $(am__define_uniq_tagged_files); mkid -fID $$unique
  410. tags: tags-recursive
  411. TAGS: tags
  412. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  413. set x; \
  414. here=`pwd`; \
  415. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  416. include_option=--etags-include; \
  417. empty_fix=.; \
  418. else \
  419. include_option=--include; \
  420. empty_fix=; \
  421. fi; \
  422. list='$(SUBDIRS)'; for subdir in $$list; do \
  423. if test "$$subdir" = .; then :; else \
  424. test ! -f $$subdir/TAGS || \
  425. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  426. fi; \
  427. done; \
  428. $(am__define_uniq_tagged_files); \
  429. shift; \
  430. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  431. test -n "$$unique" || unique=$$empty_fix; \
  432. if test $$# -gt 0; then \
  433. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  434. "$$@" $$unique; \
  435. else \
  436. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  437. $$unique; \
  438. fi; \
  439. fi
  440. ctags: ctags-recursive
  441. CTAGS: ctags
  442. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  443. $(am__define_uniq_tagged_files); \
  444. test -z "$(CTAGS_ARGS)$$unique" \
  445. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  446. $$unique
  447. GTAGS:
  448. here=`$(am__cd) $(top_builddir) && pwd` \
  449. && $(am__cd) $(top_srcdir) \
  450. && gtags -i $(GTAGS_ARGS) "$$here"
  451. cscope: cscope.files
  452. test ! -s cscope.files \
  453. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  454. clean-cscope:
  455. -rm -f cscope.files
  456. cscope.files: clean-cscope cscopelist
  457. cscopelist: cscopelist-recursive
  458. cscopelist-am: $(am__tagged_files)
  459. list='$(am__tagged_files)'; \
  460. case "$(srcdir)" in \
  461. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  462. *) sdir=$(subdir)/$(srcdir) ;; \
  463. esac; \
  464. for i in $$list; do \
  465. if test -f "$$i"; then \
  466. echo "$(subdir)/$$i"; \
  467. else \
  468. echo "$$sdir/$$i"; \
  469. fi; \
  470. done >> $(top_builddir)/cscope.files
  471. distclean-tags:
  472. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  473. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  474. distdir: $(DISTFILES)
  475. $(am__remove_distdir)
  476. test -d "$(distdir)" || mkdir "$(distdir)"
  477. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  478. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  479. list='$(DISTFILES)'; \
  480. dist_files=`for file in $$list; do echo $$file; done | \
  481. sed -e "s|^$$srcdirstrip/||;t" \
  482. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  483. case $$dist_files in \
  484. */*) $(MKDIR_P) `echo "$$dist_files" | \
  485. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  486. sort -u` ;; \
  487. esac; \
  488. for file in $$dist_files; do \
  489. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  490. if test -d $$d/$$file; then \
  491. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  492. if test -d "$(distdir)/$$file"; then \
  493. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  494. fi; \
  495. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  496. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  497. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  498. fi; \
  499. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  500. else \
  501. test -f "$(distdir)/$$file" \
  502. || cp -p $$d/$$file "$(distdir)/$$file" \
  503. || exit 1; \
  504. fi; \
  505. done
  506. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  507. if test "$$subdir" = .; then :; else \
  508. $(am__make_dryrun) \
  509. || test -d "$(distdir)/$$subdir" \
  510. || $(MKDIR_P) "$(distdir)/$$subdir" \
  511. || exit 1; \
  512. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  513. $(am__relativize); \
  514. new_distdir=$$reldir; \
  515. dir1=$$subdir; dir2="$(top_distdir)"; \
  516. $(am__relativize); \
  517. new_top_distdir=$$reldir; \
  518. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  519. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  520. ($(am__cd) $$subdir && \
  521. $(MAKE) $(AM_MAKEFLAGS) \
  522. top_distdir="$$new_top_distdir" \
  523. distdir="$$new_distdir" \
  524. am__remove_distdir=: \
  525. am__skip_length_check=: \
  526. am__skip_mode_fix=: \
  527. distdir) \
  528. || exit 1; \
  529. fi; \
  530. done
  531. -test -n "$(am__skip_mode_fix)" \
  532. || find "$(distdir)" -type d ! -perm -755 \
  533. -exec chmod u+rwx,go+rx {} \; -o \
  534. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  535. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  536. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  537. || chmod -R a+r "$(distdir)"
  538. dist-gzip: distdir
  539. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  540. $(am__post_remove_distdir)
  541. dist-bzip2: distdir
  542. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  543. $(am__post_remove_distdir)
  544. dist-lzip: distdir
  545. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  546. $(am__post_remove_distdir)
  547. dist-xz: distdir
  548. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  549. $(am__post_remove_distdir)
  550. dist-tarZ: distdir
  551. @echo WARNING: "Support for shar distribution archives is" \
  552. "deprecated." >&2
  553. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  554. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  555. $(am__post_remove_distdir)
  556. dist-shar: distdir
  557. @echo WARNING: "Support for distribution archives compressed with" \
  558. "legacy program 'compress' is deprecated." >&2
  559. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  560. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  561. $(am__post_remove_distdir)
  562. dist-zip: distdir
  563. -rm -f $(distdir).zip
  564. zip -rq $(distdir).zip $(distdir)
  565. $(am__post_remove_distdir)
  566. dist dist-all:
  567. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  568. $(am__post_remove_distdir)
  569. # This target untars the dist file and tries a VPATH configuration. Then
  570. # it guarantees that the distribution is self-contained by making another
  571. # tarfile.
  572. distcheck: dist
  573. case '$(DIST_ARCHIVES)' in \
  574. *.tar.gz*) \
  575. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  576. *.tar.bz2*) \
  577. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  578. *.tar.lz*) \
  579. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  580. *.tar.xz*) \
  581. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  582. *.tar.Z*) \
  583. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  584. *.shar.gz*) \
  585. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  586. *.zip*) \
  587. unzip $(distdir).zip ;;\
  588. esac
  589. chmod -R a-w $(distdir)
  590. chmod u+w $(distdir)
  591. mkdir $(distdir)/_build $(distdir)/_inst
  592. chmod a-w $(distdir)
  593. test -d $(distdir)/_build || exit 0; \
  594. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  595. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  596. && am__cwd=`pwd` \
  597. && $(am__cd) $(distdir)/_build \
  598. && ../configure \
  599. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  600. $(DISTCHECK_CONFIGURE_FLAGS) \
  601. --srcdir=.. --prefix="$$dc_install_base" \
  602. && $(MAKE) $(AM_MAKEFLAGS) \
  603. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  604. && $(MAKE) $(AM_MAKEFLAGS) check \
  605. && $(MAKE) $(AM_MAKEFLAGS) install \
  606. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  607. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  608. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  609. distuninstallcheck \
  610. && chmod -R a-w "$$dc_install_base" \
  611. && ({ \
  612. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  613. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  614. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  615. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  616. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  617. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  618. && rm -rf "$$dc_destdir" \
  619. && $(MAKE) $(AM_MAKEFLAGS) dist \
  620. && rm -rf $(DIST_ARCHIVES) \
  621. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  622. && cd "$$am__cwd" \
  623. || exit 1
  624. $(am__post_remove_distdir)
  625. @(echo "$(distdir) archives ready for distribution: "; \
  626. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  627. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  628. distuninstallcheck:
  629. @test -n '$(distuninstallcheck_dir)' || { \
  630. echo 'ERROR: trying to run $@ with an empty' \
  631. '$$(distuninstallcheck_dir)' >&2; \
  632. exit 1; \
  633. }; \
  634. $(am__cd) '$(distuninstallcheck_dir)' || { \
  635. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  636. exit 1; \
  637. }; \
  638. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  639. || { echo "ERROR: files left after uninstall:" ; \
  640. if test -n "$(DESTDIR)"; then \
  641. echo " (check DESTDIR support)"; \
  642. fi ; \
  643. $(distuninstallcheck_listfiles) ; \
  644. exit 1; } >&2
  645. distcleancheck: distclean
  646. @if test '$(srcdir)' = . ; then \
  647. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  648. exit 1 ; \
  649. fi
  650. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  651. || { echo "ERROR: files left in build directory after distclean:" ; \
  652. $(distcleancheck_listfiles) ; \
  653. exit 1; } >&2
  654. check-am: all-am
  655. check: check-recursive
  656. all-am: Makefile $(DATA) all-local
  657. installdirs: installdirs-recursive
  658. installdirs-am:
  659. for dir in "$(DESTDIR)$(docdir)"; do \
  660. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  661. done
  662. install: install-recursive
  663. install-exec: install-exec-recursive
  664. install-data: install-data-recursive
  665. uninstall: uninstall-recursive
  666. install-am: all-am
  667. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  668. installcheck: installcheck-recursive
  669. install-strip:
  670. if test -z '$(STRIP)'; then \
  671. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  672. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  673. install; \
  674. else \
  675. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  676. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  677. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  678. fi
  679. mostlyclean-generic:
  680. clean-generic:
  681. distclean-generic:
  682. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  683. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  684. maintainer-clean-generic:
  685. @echo "This command is intended for maintainers to use"
  686. @echo "it deletes files that may require special tools to rebuild."
  687. clean: clean-recursive
  688. clean-am: clean-generic mostlyclean-am
  689. distclean: distclean-recursive
  690. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  691. -rm -f Makefile
  692. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  693. dvi: dvi-recursive
  694. dvi-am:
  695. html: html-recursive
  696. html-am:
  697. info: info-recursive
  698. info-am:
  699. install-data-am: install-dist_docDATA
  700. install-dvi: install-dvi-recursive
  701. install-dvi-am:
  702. install-exec-am:
  703. install-html: install-html-recursive
  704. install-html-am:
  705. install-info: install-info-recursive
  706. install-info-am:
  707. install-man:
  708. install-pdf: install-pdf-recursive
  709. install-pdf-am:
  710. install-ps: install-ps-recursive
  711. install-ps-am:
  712. installcheck-am:
  713. maintainer-clean: maintainer-clean-recursive
  714. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  715. -rm -rf $(top_srcdir)/autom4te.cache
  716. -rm -f Makefile
  717. maintainer-clean-am: distclean-am maintainer-clean-generic
  718. mostlyclean: mostlyclean-recursive
  719. mostlyclean-am: mostlyclean-generic
  720. pdf: pdf-recursive
  721. pdf-am:
  722. ps: ps-recursive
  723. ps-am:
  724. uninstall-am: uninstall-dist_docDATA
  725. .MAKE: $(am__recursive_targets) install-am install-strip
  726. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am all-local \
  727. am--refresh check check-am clean clean-cscope clean-generic \
  728. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  729. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  730. distcheck distclean distclean-generic distclean-hdr \
  731. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  732. dvi-am html html-am info info-am install install-am \
  733. install-data install-data-am install-dist_docDATA install-dvi \
  734. install-dvi-am install-exec install-exec-am install-html \
  735. install-html-am install-info install-info-am install-man \
  736. install-pdf install-pdf-am install-ps install-ps-am \
  737. install-strip installcheck installcheck-am installdirs \
  738. installdirs-am maintainer-clean maintainer-clean-generic \
  739. mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
  740. tags-am uninstall uninstall-am uninstall-dist_docDATA
  741. @CLUSTER_TRUE@all-local:
  742. @CLUSTER_TRUE@ test -f primes.txt || ./src/apps/primes.sh 20
  743. @CLUSTER_FALSE@all-local:
  744. @CLUSTER_FALSE@ test -f primes.txt || ./src/apps/primes.sh 1
  745. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  746. # Otherwise a system limit (for SysV at least) may be exceeded.
  747. .NOEXPORT: